
function template(screen_key,list_of_uniq_id,focus_func,isPowerOn){
var map=[
[0,0,0,1],
[0,0,0,2],
[0,0,0,3],
[0,0,0,4]
];
this._create_map(map);
this.superClass=Screen;
this.superClass(screen_key,list_of_uniq_id,focus_func,isPowerOn);};
template.prototype=new Screen();
template.prototype.getTemplateName=function (){
return this._template_name||"inst";};
template.prototype.setWallPaper=function(){
var prop="src";
if(!isActiveStatus())
prop="org_src";
var bin=DEFAULT_SCREEN_WALLPAPER;
if(this.wall_paper[prop]!=bin){
this.wall_paper[prop]=bin;};
if(this.accessory.components.length==0){
this.__accessory_dlmark=new gimage({translate:[680,0,0],width:264,height:251});
this.components.push(this.__accessory_dlmark);}
var tmp=IMG_PATH+"download_img.png";
if(this.__accessory_dlmark.src!=tmp)
this.__accessory_dlmark.src=tmp;};
template.prototype.freeResource=function(bool){
if(this.status["freeResource"]==bool)return;
gimageResource(this.__accessory_dlmark,bool);
return Screen.prototype.freeResource.apply(this,[bool]);};
